base-4.5.1.0: Basic libraries

Portability | non-portable (requires universal quantification for runST)
Stability | experimental
Maintainer | libraries@haskell.org
Safe Haskell | Unsafe

Control.Monad.ST.Unsafe

Contents

- Unsafe operations

Description

This library provides support for strict state threads, as described in the PLDI '94 paper by John Launchbury and Simon Peyton Jones Lazy Functional State Threads.

Unsafe API.

Synopsis

- unsafeInterleaveST :: ST s a -> ST s a
- unsafeIOToST :: IO a -> ST s a
- unsafeSTToIO :: ST s a -> IO a

# Unsafe operations

unsafeInterleaveST :: ST s a -> ST s a

unsafeIOToST :: IO a -> ST s a

unsafeSTToIO :: ST s a -> IO a